#ifndef TEXTURE_H_INCLUDED
#define TEXTURE_H_INCLUDED

// Includes OpenGL + SDL
#ifdef WIN32
#include <GL/glew.h>
#else
#define GL3_PROTOTYPES 1
#include <GL/gl.h>
#endif

#include <SDL2/SDL.h>

// Basiques
#include <iostream>

// Classe Texture
class Texture
{
    public:
        Texture();
        Texture(Texture const &textureACopier);
        ~Texture();
        Texture& operator=(Texture const &textureACopier);

        bool charger(std::string fichierImage);
        GLuint getID() const;
        SDL_Surface* inverserPixels(SDL_Surface *imageSource) const;

    private:
        GLuint m_id;
        std::string m_chemin;

};


#endif // TEXTURE_H_INCLUDED
